Livez
GET
Health check to verify SQUAKE's server can be reached; this additionally checks the most critical sub-dependencies, such as database systems.
curl -X GET 'https://api.sandbox.squake.earth/v2/livez'Example Response
Empty
Healthz
Simple health check to verify SQUAKE's server can be reached.
Readyz
Extensive health check to verify SQUAKE's server can be reached; this additionally checks all sub-dependencies, such as database systems, and also considers the error rate of the most recent history. Meaning even if SQUAKE's servers are reachable, including their sub-systems, if other clients experience excessively many errors, this endpoint returns an error.